---
title: Templates
page_title: Templates - AutoComplete - Kendo UI for Vue
description: "Customize the content of the suggested list items and the suggested list elements of a Kendo UI AutoComplete wrapper for Vue."
slug: templates_autocomplete
position: 7
---

# Templates

The AutoComplete provides full control over the way an item or a popup header is rendered by using the [Kendo UI templates](https://docs.telerik.com/kendo-ui/framework/templates/overview).

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-datasource ref="datasource"
                      :type="'odata'"
                      :transport-read-url="'https://demos.telerik.com/kendo-ui/service/Northwind.svc/Orders'"
                      :server-filtering="true"
                      :page-size="80">
    </kendo-datasource>
    <kendo-autocomplete :data-source-ref="'datasource'"
                        :data-text-field="'ShipName'"
                        :template="itemTemplate"
                        style="width:400px;">
    </kendo-autocomplete>
</div>
```
```js
Vue.use(DropdownsInstaller);
Vue.use(DataSourceInstaller);

new Vue({
    el: "#vueapp",
    data: {
        itemTemplate: '<strong>#= OrderID #</strong> - #= ShipName #, #= ShipCountry #'
    }
})
```

## Suggested Links

* [Kendo UI AutoComplete for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/autocomplete/overview)
* [API Reference of the AutoComplete Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/autocomplete)
